WebAPI.Host (3.0)
https://{{your_venus_webapi_ip_address}}/
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/deck-layout/{deviceId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/deck-layout/{deviceId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "deck": { "id": "string", "parentId": "string", "anchor": { … }, "dimension": { … }, "rotation": 0, "model": "string", "modelOffset": { … }, "bitmap": "string", "visible": true, "originOffset": { … } }, "labware": [ { … } ], "deckLayers": [ { … } ] }
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
Hamilton.WebAPI.Common.DeviceConfigurationData.
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/instrument-configuration
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/instrument-configuration' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"deviceID": 0,
"dataDefinition": "string",
"dataInstance": "string",
"configKeys": [
"string"
]
}'{ "deviceID": 0, "dataDefinition": "string", "dataInstance": "string", "configKeys": [ "string" ], "configValues": [ "string" ] }
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/registered
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/registered' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "deviceName": "string", "deviceDisplayName": "string", "imageFile": "string", "hasDeckLayout": true } ]
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/runtime
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/runtime' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "deviceId": 12345, "simulation": true, "controlPanelSupport": 1, "windowHandle": 12345, "deviceName": "Example_Device", "deviceDisplayName": "Example Device Display", "imageFile": "example_device.png", "hasDeckLayout": true }
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
Object containing the device Id. Hamilton.WebAPI.Common.RuntimeDeviceInput
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/control-panel/runtime
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/control-panel/runtime' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"deviceId": 0
}'true
- application/json; x-api-version=3.0
- text/json; x-api-version=3.0
- application/*+json; x-api-version=3.0
Object containing device name and main window handle. Hamilton.WebAPI.Common.RegisteredDeviceInput
- Mock server
https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/control-panel/registered
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://{{your_venus_webapi_ip_address}}/api/vector/v3/devices/control-panel/registered' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json; x-api-version=3.0' \
-d '{
"deviceName": "string",
"windowHandle": 0
}'true